core::trust::Store Class Referenceabstract

Models read/write/query access to persisted trust requests. More...

`#include <store.h>`

Collaboration diagram for core::trust::Store:

## Classes

struct | Errors
| All Store-specific error/exception types go here. More...
class | Query
| The Query class encapsulates queries against a trust store instance. More...

## Public Member Functions

| Store (const Store &)=delete
virtual | ~Store ()=default
Store & | operator= (const Store &)=delete
bool | operator== (const Store &) const =delete
virtual void | reset ()=0
| Resets the state of the store, implementations should discard all persistent and non-persistent state. More...
virtual void | add (const Request &request)=0
| Add the provided request to the store. When this function returns true, the request has been persisted by the implementation. More...
virtual std::shared_ptr< Query > | query ()=0
| Create a query for this store. More...

## Protected Member Functions

| Store ()=default

## Detailed Description

Models read/write/query access to persisted trust requests.

Definition at line 49 of file store.h.

## Constructor & Destructor Documentation

core::trust::Store::Store | ( | const Store & |  | ) |

delete

virtual core::trust::Store::~Store | ( |  | ) |

virtual default

core::trust::Store::Store | ( |  | ) |

protected default

## Member Function Documentation

virtual void core::trust::Store::add | ( | const Request & | request | ) |

pure virtual

Add the provided request to the store. When this function returns true, the request has been persisted by the implementation.

Store& core::trust::Store::operator= | ( | const Store & |  | ) |

delete

bool core::trust::Store::operator== | ( | const Store & |  | ) | const

delete

virtual std::shared_ptr<Query> core::trust::Store::query | ( |  | ) |

pure virtual

Create a query for this store.

virtual void core::trust::Store::reset | ( |  | ) |

pure virtual

Resets the state of the store, implementations should discard all persistent and non-persistent state.

The documentation for this class was generated from the following file:

- /build/trust-store-uD3f_u/trust-store-2.0.0+16.04.20160119/include/core/trust/store.h